/* Overlay for cookies */
#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 9998;
  display: none; /* Inicialmente oculto */
}

/* Wrapper container for notification */
.wrapper {
  position: fixed;
  bottom: 50px;
  right: -370px; /* Initially hidden */
  max-width: 345px;
  width: 100%;
  background: #fff;
  border-radius: 8px;
  padding: 15px 25px 22px;
  box-shadow: 0 1px 8px 3px #01b3a7;
  transition: right 2.2s ease;
  z-index: 9999; /* Fica acima da sobreposição */
}

/* Show class to make the wrapper visible */
.wrapper.show {
  left: 20px; /* Slide in from the right */
}

/* Header section inside the wrapper */
.wrapper header {
  display: flex;
  align-items: center;
  column-gap: 15px;
}

header i {
  color: #01b3a7;
  font-size: 32px;
}

header h2 {
  color: #01b3a7;
  font-weight: 500;
}

/* Data section inside the wrapper */
.wrapper .data p {
  color: #333;
  font-size: 16px;
}

.data p a {
  color: #01b3a7;
  text-decoration: none;
}

.data p a:hover {
  text-decoration: underline;
}

/* Buttons section inside the wrapper */
.wrapper .buttons {
  margin-top: 16px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.buttons .button {
  border: none;
  color: #fff;
  padding: 8px;
  border-radius: 4px;
  background: #01b3a7;
  cursor: pointer;
  width: calc(100% / 2 - 10px);
  transition: all 0.2s ease;
  margin-left: 47px;
}

.buttons .button:hover {
  background-color: aquamarine;
}

#cookies-msg.mostrar {
  display: block;
  right: 20px; /* Show the message */
}
